%define		rubyabi		1.9.1
%define		repoid		20763

%define		modname		imagesize

Name:		ruby-%{modname}
Version:	0.1.1
Release:	8%{?dist}
Summary:	Measure image size code by Pure Ruby
Group:		Development/Languages

License:	Ruby
URL:		http://imagesize.rubyforge.org/
Source0:	http://rubyforge.org/frs/download.php/%{repoid}/%{modname}-%{version}.tgz
# With ruby1.9 handling regex needs some encoding treatment...
Patch0:		ruby-imagesize-0.1.1-ruby19-regex-utf8.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:  rubygem(minitest)
Requires:	ruby(abi) = %{rubyabi}
Provides:	ruby(%{modname}) = %{version}-%{release}

%description
Imagefile measures image (GIF, PNG, JPEG ,,, etc) size code 
by Pure Ruby ["PCX", "PSD", "XPM", "TIFF", "XBM", "PGM", 
"PBM", "PPM", "BMP", "JPEG", "PNG", "GIF", "SWF"]

%prep
%setup -q -n %{modname}-%{version}

%{__chmod} 0644 README.txt
find . -name \*.rb -exec %{__chmod} 0644 {} ';'

# clean up
%{__sed} -i -e '1d' -e 's|\r||' lib/image_size.rb

# Patch
%patch0 -p1

%build
ruby setup.rb config \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--siterubyver=%{ruby_vendorlibdir}
ruby setup.rb setup

%install
%{__rm} -rf $RPM_BUILD_ROOT

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

%check
%{__sed} -i.ppm \
	-e "s|'ppm.ppm', ||" \
        -e "s|'pcx.pcx', ||" \
        -e "s|'detect.swf'||" \
	-e '/PPM/d' \
	test/test_image_size.rb
testrb test/test_image_size.rb

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.txt

%{ruby_vendorlibdir}/image_size.rb
%{ruby_vendorlibdir}/image_size/

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun May  6 2012 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.1.1-7
- Regex treatment with ruby 1.9 (ref: bug 819188)

* Tue Feb 07 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.1.1-6
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.1.1-3
- F-12: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.1.1-2
- %%global-ize "nested" macro

* Sat Nov  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.1.1-1
- Initial packaging
